# 
# Synthesis run script generated by Vivado
# 

set_param xicom.use_bs_reader 1
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
set_msg_config -id {Synth 8-256} -limit 10000
set_msg_config -id {Synth 8-638} -limit 10000
create_project -in_memory -part xc7a35tcpg236-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir P:/VHDL/TP/TP2/TP2.cache/wt [current_project]
set_property parent.project_path P:/VHDL/TP/TP2/TP2.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
set_property ip_output_repo p:/VHDL/TP/TP2/TP2.cache/ip [current_project]
set_property ip_cache_permissions {read write} [current_project]
read_vhdl -library xil_defaultlib {
  P:/VHDL/TP/TP2/TP2.srcs/sources_1/imports/TP2/hex7seg.vhd
  P:/VHDL/TP/TP2/TP2.srcs/sources_1/imports/TP2/hex7seg_top.vhd
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc P:/VHDL/TP/TP2/TP2.srcs/constrs_1/imports/TP2/Basys3_Master.xdc
set_property used_in_implementation false [get_files P:/VHDL/TP/TP2/TP2.srcs/constrs_1/imports/TP2/Basys3_Master.xdc]


synth_design -top hex7seg_top -part xc7a35tcpg236-1


write_checkpoint -force -noxdef hex7seg_top.dcp

catch { report_utilization -file hex7seg_top_utilization_synth.rpt -pb hex7seg_top_utilization_synth.pb }
